# -*- coding: utf-8 -*-
# Generated by Django 1.11.8 on 2018-07-09 15:28
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0009_auto_20180401_1150'),
    ]

    operations = [
        migrations.CreateModel(
            name='MentorshipActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(editable=False)),
                ('activity_type', models.IntegerField()),
                ('is_timestamp_estimated', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='goalset',
            name='mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.MentorshipActivity'),
        ),
        migrations.AddField(
            model_name='mentorshipsession',
            name='mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.MentorshipActivity'),
        ),
        migrations.AddField(
            model_name='note',
            name='mentorship_activity',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.MentorshipActivity'),
        ),
    ]
